import { Event } from "../../../../base/common/event.js";
import { IChatQuotas } from "@codingame/monaco-vscode-fab30422-b487-5f4e-8d30-8b4d266e3fcd-common/vscode/vs/workbench/contrib/chat/browser/chatQuotasService";
export declare const IChatQuotasService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IChatQuotasService>;
export interface IChatQuotasService {
    _serviceBrand: undefined;
    readonly onDidChangeQuotas: Event<void>;
    readonly quotas: IChatQuotas;
    acceptQuotas(quotas: IChatQuotas): void;
    clearQuotas(): void;
}
